# cstring File Reference

## Detailed Description

This is a Standard C++ Library file. You should `include` this file in your programs, rather than any of the "*.h" implementation files.

This is the C++ version of the Standard C Library header `string.h`, and its contents are (mostly) the same as that header, but are all contained in the namespace `std` (except for names which are defined as macros in C).

Definition in file cstring.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_CSTRING

## Functions

- void * std::memchr (void *__p, int __c, size_t __n)
- char * std::strchr (char *__s1, int __n)
- char * std::strpbrk (char *__s1, const char *__s2)
- char * std::strrchr (char *__s1, int __n)
- char * std::strstr (char *__s1, const char *__s2)